Subject: Re: [Nfvrg] Review of draft-irtf-nfvrg-gaps-network-virtualization-03

From: Carlos Jesús Bernardos Cano <[email-masked]>
Date: Mon, 29 May 2017 18:40:04 +0200

Hi Kostas,

Apologies for my belated reply. I've been fully devoted to some H2020
EU project duties and I missed your e-mail.

Thanks again for your feedback. Please see comments inline below.

On Thu, 2017-04-27 at 15:53 +0200, Kostas Pentikousis wrote:
> Hi Carlos, 
> 
> > Thanks again for your very useful comments. Please, find below some
> > answers inline on how we have incorporated/considerated your
> > comments
> 
> My pleasure. I will look into -05 more carefully, but a very cursory
> look indicates a missing pointer to RFC 7426 in Section 2
> (Terminology), as this is where the definitions of AP/CP/FP/MP
> originate from. Perhaps s/ and the IETF [RFC7665]/ and the IETF
> [RFC7426] [RFC7665]?

[Carlos] OK. We'll do.

> 
> In general, Section 3 lacks a summary/conclusion section, imo. One
> idea would be to use e.g. Fig. 4 as a reference and map the open
> source efforts (sec. 3.6) using a matrix, plus some glue text that
> points to the challenges introduced in Section 4. 

[Carlos] Good comment. We'll come with something along those lines in
-06.
> 
> A couple of other editorial comments below:
> 
> Section 3.1, "To date, ETSI NFV is by far the most accepted NFV
> reference framework and architectural footprint
> [etsi_nvf_whitepaper_2]." I'm not sure how this sentence will age,
> and I'm not sure if the reference to the whitepaper fits with the
> claim ("most accepted"). I find the sentence a bit gratuitous anyway.
> Ditto in Section 3.2, "The most visible of the SDN protocol stacks is
> the OpenFlow protocol".

[Carlos] It is true that this statements reflect current status, and
might not age well. However, the document reflects indeed the current
picture and this might change. We'll try anyway to rewrite a bit the
text to address your concerns.

> 
> Some further nits:
> 
> s/resource model of the underneath network/resource model of the
> underlying network
> 
> SDN (the acronym) is defined in a few places, I guess due to the
> independent author contributions.

[Carlos] Thanks. We'll fix them.

Kind regards,

Carlos

> Best regards,
> Kostas